Bug 734014 - Review Request: nafees-pakistani-web-naskh-fonts nafees-pakistani-web-naskh-fonts for writing Urdu
Summary: Review Request: nafees-pakistani-web-naskh-fonts nafees-pakistani-web-naskh-f...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-29 07:44 UTC by anish
Modified: 2015-04-12 23:11 UTC (History)
4 users (show)

Fixed In Version: nafees-pakistani-web-naskh-fonts-2.0-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-07 23:08:41 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
spec cleanup (1.79 KB, patch)
2011-09-05 05:45 UTC, Parag AN(पराग)
no flags Details | Diff
this is srpm for pakistani-web naksh font (390.45 KB, application/x-rpm)
2011-09-09 07:57 UTC, anish
no flags Details
this is spec file for pakistani-web naksh font (1.56 KB, text/x-rpm-spec)
2011-09-09 07:58 UTC, anish
no flags Details

Description anish 2011-08-29 07:44:35 UTC
Spec URL: https://github.com/gnuman/nafees-pakistani-web-naskh-fonts/blob/master/nafees-pakistani-web-naskh-fonts.spec
SRPM URL: https://github.com/gnuman/nafees-pakistani-web-naskh-fonts/blob/master/nafees-pakistani-web-naskh-fonts-2.0-1.fc15.noarch.rpm

RPM Lint output 
[anish@dhcp201-181 nafees-pakistani-web-naskh-fonts]$ rpmlint nafees-pakistani-web-naskh-fonts-2.0-1.fc15.noarch.rpm 
nafees-pakistani-web-naskh-fonts.noarch: W: spelling-error %description -l en_US ur -> Ur, yr, u
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


The warning is due to Auther Name itself. It is not a spelling mistake.

Comment 1 Parag AN(पराग) 2011-08-31 07:21:47 UTC
Can you please provide SRPM download link? You have added binary rpm url above.

Comment 2 anish 2011-08-31 07:40:31 UTC
Thanks Parag for review.

I have added source rpm to 

SRPM URL:
https://github.com/gnuman/nafees-pakistani-web-naskh-fonts/blob/master/nafees-pakistani-web-naskh-fonts-2.0-1.fc15.src.rpm

Comment 3 Parag AN(पराग) 2011-09-05 05:45:28 UTC
Created attachment 521432 [details]
spec cleanup

This patch will fix following things
1) rpmlint warning
nafees-pakistani-web-naskh-fonts.src:4: W: mixed-use-of-spaces-and-tabs (spaces: line 3, tab: line 4)

2) I think its good to copy individual source files in builddir

3) newer packaging guidelines suggest 
   a) buildroot not needed
   b) removal of buildroot in %install

Comment 4 anish 2011-09-09 07:57:06 UTC
Created attachment 522264 [details]
this is srpm for pakistani-web naksh font

attached source rpm due to issues with github

Comment 5 anish 2011-09-09 07:58:29 UTC
Created attachment 522265 [details]
this is spec file  for pakistani-web naksh font

Due to issues with github , I am attaching the spec file

Comment 6 anish 2011-09-09 08:00:26 UTC
Thanks parag for your review comments 
I have incorporated changes suggested by you.
Please find the SPEC file and SOURCE rpm attached

Comment 7 Parag AN(पराग) 2011-09-09 09:35:24 UTC
+ koji build -> http://koji.fedoraproject.org/koji/taskinfo?taskID=3338229
+ rest looks ok as per packaging guidelines.
APPROVED.

Comment 8 anish 2011-11-16 09:59:11 UTC
New Package SCM Request
=======================
Package Name: nafees-pakistani-web-naskh-fonts
Short Description: Nafees pakistani web naskh font for writing Urdu
Owners: anishpatil
Branches: f16,f17
InitialCC: apatil@redhat.com

Comment 9 Gwyn Ciesla 2011-11-16 12:08:24 UTC
Git done (by process-git-requests).

Removed incorrect branch and InitialCC values.

Comment 10 anish 2011-11-16 12:14:49 UTC
Thanks Jon for correction and GIT

Comment 11 Fedora Update System 2011-12-20 07:34:56 UTC
nafees-pakistani-web-naskh-fonts-2.0-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/nafees-pakistani-web-naskh-fonts-2.0-2.fc16

Comment 12 Fedora Update System 2011-12-22 22:33:29 UTC
Package nafees-pakistani-web-naskh-fonts-2.0-2.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nafees-pakistani-web-naskh-fonts-2.0-2.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-17261/nafees-pakistani-web-naskh-fonts-2.0-2.fc16
then log in and leave karma (feedback).

Comment 13 Fedora Update System 2012-01-07 23:08:41 UTC
nafees-pakistani-web-naskh-fonts-2.0-2.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.